Index: /extensions/meta/language/nb_NO/plugin.lang.php
===================================================================
--- /extensions/meta/language/nb_NO/plugin.lang.php	(revision 31572)
+++ /extensions/meta/language/nb_NO/plugin.lang.php	(revision 31573)
@@ -2,21 +2,21 @@
 
 //tab gest
-$lang['meta_onglet_gestion'] = 'Metadata'; 
-$lang['meta_desh3'] = 'Legg til meta på alle sidene'; 
-$lang['meta_name'] = 'Navn på metadata'; 
-$lang['meta_select'] = 'Velg metadata å redigere'; 
-$lang['meta_choix'] = 'Rediger metadata'; 
-$lang['meta_list'] = 'Metadata :'; 
-$lang['meta_select2'] = 'Velg metadata'; 
+$lang['meta_onglet_gestion'] = 'Vanelig filinformasjon';
+$lang['meta_desh3'] = 'Legg til informasjon på alle sidene';
+$lang['meta_name'] = 'Navn på filinformasjon';
+$lang['meta_select'] = 'Velg filinformasjon å redigere';
+$lang['meta_choix'] = 'Rediger filinformasjon';
+$lang['meta_list'] = 'filinformasjon :';
+$lang['meta_select2'] = 'Velg filinformasjon';
 $lang['meta_description'] = 'beskrivelse'; 
 $lang['meta_diff_val'] = 'Mulige verdier'; 
-$lang['meta_comp'] = 'Metadata som skal legges til'; 
-$lang['meta_insmeta'] = 'Sett inn metadata';
+$lang['meta_comp'] = 'Filinformasjonen som skal legges til';
+$lang['meta_insmeta'] = 'Sett inn filinformasjon';
 
 //edit
-$lang['Metadata - Plugin meta'] = 'Metadata - Plugin meta';
+$lang['Metadata - Plugin meta'] = 'Filinformasjon - Programtillegg informasjon';
 $lang['meta_compimg'] = 'Nøkkelord til bilder som skal ferdigstilles';
 $lang['meta_compimgdes'] = 'Bilde beskrivelse som skal erstattes';
-$lang['meta_inscat'] = 'Sett inn Metadata';
+$lang['meta_inscat'] = 'Sett inn Filinformasjon';
 $lang['meta_compcatdeshelp'] = 'Vil erstatte alle beskrivelsene';
 $lang['meta_compcat'] = 'Nøkkelord til album som skal ferdigstilles';
@@ -24,28 +24,28 @@
 
 //tab description
-$lang['meta_onglet_description'] = 'Beskrivelse Metadata'; 
-$lang['meta_author'] = 'Beskrivelse meta forfatter'; 
+$lang['meta_onglet_description'] = 'Beskrivelse av filinformasjon';
+$lang['meta_author'] = '"forfatter" informasjons beskrivelse';
 $lang['meta_author_help'] = 'Informasjon om forfatteren <br> Informasjon om forfatteren til siden '; 
-$lang['meta_keywords'] = 'Beskrivelse meta nøkkelord'; 
+$lang['meta_keywords'] = 'Beskrivelse informasjon nøkkelord';
 $lang['meta_keywords_help'] = '"Nøkkelord, nøkkelord, osv."<br> Nøkkelord som beskriver web siden. (Separert av komma)'; 
-$lang['meta_Description'] = 'Beskrivende meta beskrivelse'; 
+$lang['meta_Description'] = '"beskrivende" informasjon beskrivelse';
 $lang['meta_Description_help'] = 'Beskrivelse av siden din<br> Tillater å gi informasjon til post samtidig som søke resultatet'; 
-$lang['meta_robots'] = 'Beskrivende meta roboter'; 
+$lang['meta_robots'] = 'Beskrivende informasjon roboter';
 $lang['meta_robots_help'] = 'all : Tillater roboten å referere hele siden (som standard)<br> Videre : Tillater roboten å følge linken på siden<br> indeks : Tillater roboten å indeksere siden<br> ikke følg : Forbyr roboten å følge linker<br> ikke index : Forbyr roboten å indeksere sider<br> ingen : Hindrer roboten fra å forfølge indekseringen på siden<br> ';
 
 
-$lang['Description of Additional Pages to be completed'] = '"beskrivelse" metadata på ekstra side ferdig';
+$lang['Description of Additional Pages to be completed'] = '"beskrivelse" informasjon på ekstra side ferdig';
 $lang['Description of contact page to be completed'] = '"beskrivelse" på kontakt side ferdig';
-$lang['Keywords of Additional Pages to be completed'] = '"nøkkeord" metadata på ekstra side ferdig';
+$lang['Keywords of Additional Pages to be completed'] = '"nøkkeord" informasjon på ekstra side ferdig';
 $lang['Keywords of contact page to be completed'] = '"nøkkelord" på kontkat side ferdig';
-$lang['Add Personal metadata'] = 'Legg til egen metadata';
-$lang['Add metadata for page'] = 'Legg til metadata for siden';
-$lang['Additional Pages Metadata'] = 'Ekstra metadata';
+$lang['Add Personal metadata'] = 'Legg til egen filinformasjon';
+$lang['Add metadata for page'] = 'Legg til filinformasjon for siden';
+$lang['Additional Pages Metadata'] = 'Ekstra filinformasjon';
 $lang['Choose Additional Pages'] = 'Velg ekstra side';
-$lang['Contact page Metadata'] = 'Kontakt sidens metadata';
-$lang['List Personal Metadata'] = 'Liste over egne metadata';
-$lang['Manage tag Metadata'] = 'Endre metadata';
-$lang['Metadata updated'] = 'Metadata oppdatert';
-$lang['Personal Metadata'] = 'Egen metadata';
-$lang['Personal metadata update'] = 'Egen metadata oppdatert';
+$lang['Contact page Metadata'] = 'Kontakt sidens filinformasjon';
+$lang['List Personal Metadata'] = 'Liste over egne filinformasjon';
+$lang['Manage tag Metadata'] = 'Endre informasjon';
+$lang['Metadata updated'] = 'Filinformasjon oppdatert';
+$lang['Personal Metadata'] = 'Egen filinformasjon';
+$lang['Personal metadata update'] = 'Egen filinformasjon oppdatert';
 $lang['Choose it page'] = 'Velg den siden';