Index: /extensions/AStat/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/AStat/language/nl_NL/plugin.lang.php	(revision 31617)
+++ /extensions/AStat/language/nl_NL/plugin.lang.php	(revision 31618)
@@ -47,16 +47,16 @@
 $lang['AStat_SortImgLabel'] = 'Gesorteerd op';
 $lang['AStat_sortip_ip'] = 'Bezoeker / IP adressen';
-$lang['AStat_month_of_year_7'] = 'Juli';
-$lang['AStat_month_of_year_8'] = 'Augustus';
+$lang['AStat_month_of_year_7'] = 'juli';
+$lang['AStat_month_of_year_8'] = 'augustus';
 $lang['AStat_period_label_all'] = 'Gehele jaar';
-$lang['AStat_month_of_year_4'] = 'April';
-$lang['AStat_month_of_year_5'] = 'Mei';
-$lang['AStat_month_of_year_6'] = 'Juni';
-$lang['AStat_month_of_year_12'] = 'December';
-$lang['AStat_month_of_year_2'] = 'Februari';
-$lang['AStat_month_of_year_3'] = 'Maart';
-$lang['AStat_month_of_year_1'] = 'Januari';
-$lang['AStat_month_of_year_10'] = 'Oktober';
-$lang['AStat_month_of_year_11'] = 'November';
+$lang['AStat_month_of_year_4'] = 'april';
+$lang['AStat_month_of_year_5'] = 'mei';
+$lang['AStat_month_of_year_6'] = 'juni';
+$lang['AStat_month_of_year_12'] = 'december';
+$lang['AStat_month_of_year_2'] = 'februari';
+$lang['AStat_month_of_year_3'] = 'maart';
+$lang['AStat_month_of_year_1'] = 'januari';
+$lang['AStat_month_of_year_10'] = 'oktober';
+$lang['AStat_month_of_year_11'] = 'november';
 $lang['AStat_by_image'] = 'Per foto';
 $lang['AStat_config'] = 'Instellingen';
@@ -64,15 +64,15 @@
 $lang['AStat_config_title'] = 'AStat instellingen';
 $lang['AStat_confignotsaved'] = 'Een fout is opgetreden, instellingen zijn niet bewaard';
-$lang['AStat_day_of_week_0'] = 'Zondag';
-$lang['AStat_day_of_week_1'] = 'Maandag';
-$lang['AStat_day_of_week_2'] = 'Dinsdag';
-$lang['AStat_day_of_week_3'] = 'Woensdag';
-$lang['AStat_day_of_week_4'] = 'Donderdag';
-$lang['AStat_day_of_week_5'] = 'Vrijdag';
-$lang['AStat_day_of_week_6'] = 'Zaterdag';
+$lang['AStat_day_of_week_0'] = 'zondag';
+$lang['AStat_day_of_week_1'] = 'maandag';
+$lang['AStat_day_of_week_2'] = 'dinsdag';
+$lang['AStat_day_of_week_3'] = 'woensdag';
+$lang['AStat_day_of_week_4'] = 'donderdag';
+$lang['AStat_day_of_week_5'] = 'vrijdag';
+$lang['AStat_day_of_week_6'] = 'zaterdag';
 $lang['AStat_nb_total_category'] = 'Totaal aantal categorieën';
 $lang['AStat_nb_total_image'] = 'Totaal aantal foto\'s';
 $lang['AStat_nb_total_ip'] = 'Totaal aantal IP adressen';
-$lang['AStat_month_of_year_9'] = 'September';
+$lang['AStat_month_of_year_9'] = 'september';
 $lang['AStat_nofilter'] = '--- Geen filter ---';
 $lang['AStat_page_label'] = 'Pagina';
@@ -131,5 +131,5 @@
 $lang['AStat_event'] = 'gebeurtenis';
 $lang['AStat_deleted_user'] = 'Verwijderde gebruiker';
-$lang['AStat_catfilter_list'] = 'Pas filter to op categorieën';
+$lang['AStat_catfilter_list'] = 'Pas filter toe op categorieën';
 $lang['AStat_ShowThumbImg'] = 'Toont het miniatuur van de foto';
 $lang['AStat_ShowThumbCat'] = 'Toont de representatieve miniatuur voor de categorie';
@@ -142,5 +142,5 @@
 $lang['AStat_tools_deleted_picture_apply'] = 'Update';
 $lang['AStat_tools_deleted_user'] = 'Actualiseer de geschiedenis met de referenties van de gebruiker';
-$lang['AStat_tools_deleted_picture'] = 'Actualiseert de geschiedenis met foto verwijzingen';
+$lang['AStat_tools_deleted_picture'] = 'Actualiseert de geschiedenis met fotoverwijzingen';
 $lang['AStat_section_web_services'] = 'Plugin <a href="http://phpwebgallery.net/ext/extension_view.php?eid=171">Web services statistics</a>';
 $lang['AStat_section_unknown'] = 'Onbekend [%s]';
@@ -148,5 +148,5 @@
 $lang['AStat_section_additional_page'] = 'Plugin <a href="http://phpwebgallery.net/ext/extension_view.php?eid=153">Additional pages</a>';
 $lang['AStat_section_label'] = 'Sectie';
-$lang['AStat_tools_deleted_picture_ok0'] = 'De voorbereiding van de tabel was succesvol, u kunt doorgaan met de reorganisatie van de bestanden op de server';
+$lang['AStat_tools_deleted_picture_ok0'] = 'De voorbereiding van de tabel was succesvol. Je kunt doorgaan met de reorganisatie van de bestanden op de server';
 $lang['AStat_tools_deleted_category_nfo2'] = 'Alle categorieën in de evenementen van de geschiedenis bestaan reeds. Geen actie moet worden ondernomen.';
 $lang['AStat_adviser_not_authorized'] = 'Actie geannuleerd: voorkeursprofiel laat dit soort acties niet toe';
@@ -181,4 +181,4 @@
 $lang['AStat_tools_deleted_category_nfo1'] = '%s niet bestaande map in de geschiedenislijst van gebeurtenissen en sterke %s gebeurtenissen: <ul>%s</ul>';
 $lang['AStat_tools_deleted_category_nfo0'] = 'Toewijzingen voor gebeurtenissen uit de geschiedenis die niet langer bestaan. Verwijderde categorie';
-$lang['AStat_date_time_format'] = 'Y/d/m H:i:s';
+$lang['AStat_date_time_format'] = 'j/d/m u:m:s';
 $lang['AStat_SeeTimeRequests'] = 'Toont uitvoeringstijd van verzoeken';