Index: /extensions/piclens/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/piclens/language/nl_NL/plugin.lang.php	(revision 31637)
+++ /extensions/piclens/language/nl_NL/plugin.lang.php	(revision 31638)
@@ -26,6 +26,6 @@
 $lang['cat_id_legend'] = 'Album-ID';
 $lang['cat_name_legend'] = 'Albumnaam';
-$lang['img_description_legend'] = 'Foto omschrijving';
-$lang['img_filename_legend'] = 'Foto bestandsnaam';
+$lang['img_description_legend'] = 'Foto-omschrijving';
+$lang['img_filename_legend'] = 'Foto-bestandsnaam';
 $lang['img_id_legend'] = 'Foto ID';
 $lang['img_name_legend'] = 'Naam van de foto';
@@ -37,5 +37,5 @@
 $lang['piclens_recursive_standard_title'] = 'Standaardmethode';
 $lang['piclens_recursive_standard'] = 'Standaard';
-$lang['piclens_picture_legend'] = 'afbeelding';
+$lang['piclens_picture_legend'] = 'foto';
 $lang['piclens_recentcats_label'] = 'recente categorien';
 $lang['piclens_recentpics_label'] = 'recente foto\'s';
@@ -53,5 +53,5 @@
 $lang['piclens_config_tab'] = 'Configuratie';
 $lang['piclens_admin_submit'] = 'Opslaan';
-$lang['img_author_legend'] = 'Maker van de foto';
+$lang['img_author_legend'] = 'Fotograaf/Maker van de foto';
 $lang['img_comment_legend'] = 'Laatste commentaren';
 $lang['piclens_admin_saveERR3'] = 'Bestand crossdomain.xml bestaat al';
@@ -74,5 +74,5 @@
 $lang['piclens_label_crossdomain1'] = '<i>Het bestand <u>crossdomain.xml</u> bestaat al in de rootdirectoy van de site; pas het zonodig handmatig aan</i>';
 $lang['piclens_label_orderID'] = 'ID';
-$lang['piclens_extendeddesc_detail'] = 'Gebruik de language tag [lang] voor de fotobeschrijving en de < !--hidden-- > tag om albums en fotos te verbergen';
+$lang['piclens_extendeddesc_detail'] = 'Gebruik de taal tag [lang] voor de fotobeschrijving en de < !--hidden-- > tag om albums en fotos te verbergen';
 $lang['piclens_button'] = 'Diavoorstelling bekijken';
 $lang['piclens_admin_savefileWN'] = 'Bestaand configuratiebestand (%s) is verwijderd';
@@ -125,7 +125,7 @@
 $lang['piclens_favorites_label'] = 'Mijn favorieten';
 $lang['piclens_label_Desc1'] = 'Niets';
-$lang['piclens_label_Desc3'] = 'Foto beschrijving';
+$lang['piclens_label_Desc3'] = 'Foto-beschrijving';
 $lang['piclens_global_legend'] = 'Globaal';
-$lang['piclens_label_Name1'] = 'Naam klikplaatje : grootte';
+$lang['piclens_label_Name1'] = 'Naam klikplaatje: grootte';
 $lang['piclens_label_TypeTN'] = 'Klikplaatje';
 $lang['piclens_label_orderAddDate'] = 'Datum toevoegen';
@@ -146,13 +146,13 @@
 $lang['piclens_rsscfg_ext2'] = 'Let op: !NULL! betekent dat enkele velden zonder miniaturen zijn (een videobestand [bv .flv])';
 $lang['piclens_rsscfg_ext1'] = '(ongeacht geselecteerde extensie => Gebruik alle extensies in RSS feed)';
-$lang['piclens_rsscfg_exclude_double'] = 'Onderdruk dubbele afbeelding in de feed (zelfde pad)';
+$lang['piclens_rsscfg_exclude_double'] = 'Onderdruk dubbele foto in de feed (zelfde pad)';
 $lang['piclens_rsscfg_TNtype'] = 'Miniatuur afbeeldingstype gebruik in Piclens diavoorstelling';
 $lang['piclens_rsscfg_IMGtype'] = 'Normaal afbeeldingstype gebruik in Piclens diavoorstelling';
 $lang['piclens_rss_title'] = 'Titel van de RSS feed<i>(blanco bij geen gebruik)</i>';
 $lang['piclens_wallcfg_info'] = '<b>Belangrijk voor 3DWall werkt: </b> Het is noodzakelijk om het bestand te kopiëren';
-$lang['piclens_wallcfg_icons'] = 'Directorie van PNG afbeeldingen voor persoonlijke toolbar icons';
+$lang['piclens_wallcfg_icons'] = 'Map van PNG afbeeldingen voor persoonlijke toolbar icons';
 $lang['piclens_wallcfg_heigh'] = 'Hoogte voor de Cooliris 3D Wall';
 $lang['piclens_recursive_specifique_detail'] = 'Home<br/>&nbsp;\- Categorie A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Categorie AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Categorie AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- afbeeldingen_ABxx<br/>&nbsp;\<br/>&nbsp;\- Categorie B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Categorie BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- pictures_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Categorie BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- pictures_BBxx<br/><br/>- At the Home, 1 stream voor elke categorie bevat alle afbeeldingen van de sub-categories (eg, flows A en B flows)<br/>- In elke categorie (eg A), 1 stream van de categorie bevat alle afbeeldingen in de categorie (eg flow A) en 1 stream voor elke subcategorie beval alle afbeeldingen in the sub-categories (eg flow AA en flow AB)';
-$lang['piclens_wallcfg_cat'] = 'Kategorieën binnen de Cooliris 3D Wall (als de parameter op \'specifiek\' is gezet):';
+$lang['piclens_wallcfg_cat'] = 'Categorieën binnen de Cooliris 3D Wall (als de parameter op \'specifiek\' is gezet):';
 $lang['piclens_stuffs_info_param'] = '3D Wall Instellingen moeten worden gewijzigd in <b>Cooliris-piclens/b> op de plugin configuratie pagina.';
 $lang['piclens_stuffs_description'] = 'Laat piclens 3D Wall zien';
@@ -174,5 +174,5 @@
 $lang['piclens_rsscfg_exttitle'] = 'Bestandstype getoond in Piclens';
 $lang['piclens_recursive_standard_detail'] = 'Home<br/>&nbsp;\- Kategorie A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Kategorie AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- afbeeldingen_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Kategorie AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- afbeeldingen_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategorie B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Kategorie BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- afbeeldingen_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Kategorie BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- afbeeldingen_BBxx<br/><br/>- Thuis, 1 niveaugroep die alle afbeeldingen bevat van de kategorieën A en B en hun sub kategorieën (flux Thuis)<br/>- In elke kategorie (bv. A), 1 niveaugroep met alle afbeeldingen in de kategorie en sub-kategorieën (bv.g A en AA en AB)<br/>';
-$lang['piclens_wallcfg_cat_nav1'] = 'Kategorieën waarvan de Wall de 3D navigatie vervangt';
+$lang['piclens_wallcfg_cat_nav1'] = 'Categorieën waarvan de Wall de 3D navigatie vervangt';
 $lang['piclens_wallcfg_cat_nav'] = 'Vervanging van de navigatie met miniaturen in de kategorieën door de Cooliris 3D Wall';
 $lang['piclens_wallcfg_tutorialtime'] = 'Vertraging van de handleiding';