Index: /extensions/Comments_Access_Manager/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/nl_NL/plugin.lang.php	(revision 31638)
+++ /extensions/Comments_Access_Manager/language/nl_NL/plugin.lang.php	(revision 31639)
@@ -30,6 +30,6 @@
 $lang['CM_Empty Author'] = 'De nickname van de commentaar auteur is verplicht';
 $lang['CM_Enable'] = 'Inschakelen';
-$lang['CM_No_Anonymous_Comments'] = 'Nickname verplicht voor gast commentaren';
-$lang['CM_Not_Allowed_Author'] = 'Sorry, je hebt geen recht om commentaar te posten, contact de beheerder.';
+$lang['CM_No_Anonymous_Comments'] = 'Nickname verplicht voor gast-commentaren';
+$lang['CM_Not_Allowed_Author'] = 'Sorry, je hebt geen recht om commentaar te posten, neem contact op met de beheerder.';
 $lang['CM_SubTitle'] = 'Plugin configuratie';
 $lang['CM_Support_txt'] = 'De officiele ondersteuning voor deze plugin is alleen in dit Piwigo forum topic:<br>
@@ -38,21 +38,22 @@
 $lang['CM_Title'] = 'Comments Access Manager - versie:';
 $lang['CM_ValidComm_Group'] = 'Selecteer de groep gebruikers die commantaar mogen posten, zonder goedkeuring';
-$lang['CM_Validation_For_Group'] = 'Sta commentaar toe zonder goedkeuring door een administator';
+$lang['CM_Validation_For_Group'] = 'Sta commentaar toe zonder goedkeuring door een beheerder';
 $lang['CM_save_config'] = 'Configuratie succesvol bewaard';
 $lang['CM_submit'] = 'Bewaar instellingen';
-$lang['CM_commentTitle'] = 'Nickname verplicht voor gast commentaren';
+$lang['CM_commentTitle'] = 'Nickname verplicht voor gast-commentaren';
 $lang['CM_CommentsValidationOffTitle_d'] = 'Schakel deze optie in, om hier de uitgebreide parameters te zien.';
 $lang['CM_CommentsValidationOffTitle'] = '&quot;goedkeuring&quot; voor commentaar is uitgeschakeld';
 $lang['CM_GroupCommTitle_d'] = 'Deze optie maakt dat alleen de groep gebuikers die toestemming heeft commentaar kan geven.
 <br><br>
-Standaard, als de <b>&quot;commentaar voor iedereen&quot;</b> optie is uitgeschakeld, kunnen alleen geregistreerde gebruikers commentaar geven. Met deze optie kan je alleen een bepaalde groep het recht geven. Zodat alleen geregistreerde gebruikers en gebruikers van die groep commentaar mogen geven.';
+Standaard, als de <b>&quot;commentaar voor iedereen&quot;</b> optie is uitgeschakeld, kunnen alleen geregistreerde gebruikers commentaar geven. Met deze optie kun je alleen een bepaalde groep het recht geven zodat alleen geregistreerde gebruikers en gebruikers van die groep commentaar mogen geven.';
 $lang['CM_GroupCommTitle'] = 'Sta commentaar toe voor een groep gebruikers';
-$lang['CM_ValidComm2Title_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, wanneer de gallerie is ingesteld op <u> sta commentaar door iedereen toe</u> en de goedkeuring van commentaar door de administrator is nodig. 
+$lang['CM_ValidComm2Title_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, als de galerie is ingesteld op <u> sta commentaar door iedereen toe</u> en de goedkeuring van commentaar door de beheerder nodig is. 
+<br><br>
+Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> en de goedkeuring van commentaar is ingeschakeld, moten de commentaren van alle geregistreerde gebruikers zijn goedgekeurd door een beheerder om zichtbaar te zijn. Met deze optie, kun je leden van een groep-naar-keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
 <br><br>
 Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> en de goedkeuring van commentaar is ingeschakeld, de commentaren van alle geregistreerde gebruikers moeten zijn goedgekeurd door een administrator om zichtbaar te zijn. Met deze optie, kan je leden van een groep naar keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
-$lang['CM_ValidCommTitle_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, wanneer de gallerie is ingesteld op <u> sta geen commentaar door iedereen toe</u> en de goedkeuring van commentaar door de administrator is nodig. 
+$lang['CM_ValidCommTitle_d'] = 'Deze optie laat je een groep gebruikers specificeren voor wie geen goedkeuring nodig is, wanneer de galerie is ingesteld op <u> sta geen commentaar door iedereen toe</u> en de goedkeuring van commentaar door de administrator nodig is. 
 <br><br>
-Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> is uitgeschakeld, en de goedkeuring van commentaar is ingeschakeld, de commentaren van alle geregistreerde gebruikers moeten zijn goedgekeurd door een administrator om zichtbaar te zijn. Met deze optie, kan je leden van een groep naar keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
-$lang['CM_ValidCommTitle'] = 'Sta commentaar toe zonder toestemming van de administrator';
-$lang['CM_commentTitle_d'] = 'Als <b>&quot;Commentaar voor iedereen&quot;</b> actief is (toestemming voor niet geregistreerde gebruikers om commentaren te geven), dan maakt deze optie dat ze een nickname moeten opgeven.';
-?>
+Standaard, wanneer <b>& quot;commentaar voor iedereen&quot;</b> is uitgeschakeld, en de goedkeuring van commentaar is ingeschakeld, moeten de commentaren van alle geregistreerde gebruikers zijn goedgekeurd door een beheerder om zichtbaar te zijn. Met deze optie, kun je leden van een groep naar keuze toestaan om commentaar te posten zonder dat goedkeuring nodig is.';
+$lang['CM_ValidCommTitle'] = 'Sta commentaar toe zonder toestemming van de beheerder';
+$lang['CM_commentTitle_d'] = 'Als <b>&quot;Commentaar voor iedereen&quot;</b> actief is (toestemming voor niet geregistreerde gebruikers om commentaren te geven), dan zorgt deze optie er voor dat ze een nickname moeten opgeven.';