Index: /extensions/Piwecard/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/nl_NL/plugin.lang.php	(revision 31647)
+++ /extensions/Piwecard/language/nl_NL/plugin.lang.php	(revision 31648)
@@ -25,10 +25,10 @@
 $lang['piwecard_send_stage4'] = 'Stap 4: verstuur de e-card';
 $lang['piwecard_send_stage3'] = 'Stap 3: e-card instellingen';
-$lang['piwecard_send_stage2'] = 'Stap 2: e-card adressen';
+$lang['piwecard_send_stage2'] = 'Stap 2: wijzig de informatie';
 $lang['piwecard_send_stage1'] = 'Stap 1: schrijf het bericht';
 $lang['piwecard_send_mandatory_fields'] = 'Verplichte velden';
 $lang['piwecard_send_link'] = 'Klik hier om een e-card te versturen';
-$lang['piwecard_recipient_names'] = 'Ontvanger naam(en)';
-$lang['piwecard_recipient_name'] = 'Ontvanger naam';
+$lang['piwecard_recipient_names'] = 'Na(a)m(en) ontvanger';
+$lang['piwecard_recipient_name'] = 'Naam ontvanger';
 $lang['piwecard_recipient_email'] = 'Ontvanger e-mail';
 $lang['piwecard_recipient'] = 'Ontvanger';
@@ -41,15 +41,15 @@
 $lang['piwecard_email_message_text'] = 'Bericht bij e-mail indeling Tekst';
 $lang['piwecard_email_message_html'] = 'Bericht bij e-mail indeling HTML';
-$lang['piwecard_email_format_default_error'] = 'De standaard e-mail indeling moet een van de geselecteerde indelingen zijn';
-$lang['piwecard_email_format_default'] = 'standaard e-mail indeling';
+$lang['piwecard_email_format_default_error'] = 'De standaard e-mail indeling moet éénn van de geselecteerde indelingen zijn';
+$lang['piwecard_email_format_default'] = 'Standaard e-mail indeling';
 $lang['piwecard_email_format'] = 'e-mail indeling';
 $lang['piwecard_default_email_message_text'] = 'Hallo %recipientname%! 
-%yourname% heeft een e-card van de website %website% verstuurd. 
-Je kunt deze e-card bekijken via de volgende link: %ecardurl%.
+%yourname% heeft je een e-card gestuurd vanaf de website %website% gestuurd. 
+Je kunt deze e-card bekijken op de volgende adres: %ecardurl%.
 Tot ziens op %website% (%websiteurl%)!
 De webmaster';
-$lang['piwecard_validity_label'] = 'Geldigheid periode';
+$lang['piwecard_validity_label'] = 'Geldigheidsduur';
 $lang['piwecard_valid'] = 'Geldig';
-$lang['piwecard_sender_email'] = 'e-mail afzender';
+$lang['piwecard_sender_email'] = 'Afzender e-mail ';
 $lang['piwecard_invalid'] = 'Verlopen';
 $lang['piwecard_image_border'] = 'Maak een rand om de e-card foto:';
@@ -59,12 +59,12 @@
 $lang['piwecard_send'] = 'Verstuur';
 $lang['piwecard_plugin'] = 'Piwecard Plugin';
-$lang['piwecard_permissions_all_groups_users'] = 'Alle gebruikers kunnen \'n E-card versturen';
+$lang['piwecard_permissions_all_groups_users'] = 'Alle gebruikers kunnen E-cards versturen';
 $lang['piwecard_nolimit'] = 'Onbeperkt';
 $lang['piwecard_no_ecard'] = 'Geen E-card in de database';
 $lang['piwecard_message'] = 'Bericht';
 $lang['piwecard_invalid_deleted'] = 'Alle verlopen E-cards zijn verwijderd.';
-$lang['piwecard_error_text'] = 'Voer een tekst in, a.u.b.';
-$lang['piwecard_error_email'] = 'Vul een geldig e-mail adres in, a.u.b.';
-$lang['piwecard_error_integer'] = 'Vul een geldig nummer in, a.u.b.';
+$lang['piwecard_error_text'] = 'Voer een tekst in';
+$lang['piwecard_error_email'] = 'Vul een geldig e-mailadres in';
+$lang['piwecard_error_integer'] = 'Vul een geldig nummer in';
 $lang['piwecard_email_subject'] = 'E-mail onderwerp';
 $lang['piwecard_email_format_text'] = 'Tekst';
@@ -74,9 +74,9 @@
 $lang['piwecard_ecard_message'] = 'Bericht';
 $lang['piwecard_ecard_image_url'] = 'URL van de foto';
-$lang['piwecard_configuration'] = 'Standaard eigenschappen';
+$lang['piwecard_configuration'] = 'Standaard configuratie';
 $lang['piwecard_days'] = 'dagen';
 $lang['piwecard_admin_permissions'] = 'Rechten';
 $lang['piwecard_add_recipient'] = 'Voeg \'n ontvanger toe';
-$lang['piwecard_ecard_image_infos'] = 'Foto informatie (titel en maker)';
+$lang['piwecard_ecard_image_infos'] = 'Foto informatie (titel en fotograaf)';
 $lang['piwecard_ecard_derivative'] = 'Kies de grootte van de foto in de e-card:';
 $lang['piwecard_deleted'] = 'Geselecteerde e-cards zijn verwijderd.';
@@ -85,18 +85,18 @@
 $lang['piwecard_delete'] = 'Verwijder geselecteerde e-cards';
 $lang['piwecard_default_guest_email'] = 'Standaard e-mail adres voor gasten';
-$lang['piwecard_default_email_subject'] = '%yourname% heeft u een E-card gestuurd';
-$lang['piwecard_ecard_subject'] = 'Ecard titel';
-$lang['piwecard_admin_configuration'] = 'Eigenschappen';
+$lang['piwecard_default_email_subject'] = '%yourname% heeft je een E-card gestuurd';
+$lang['piwecard_ecard_subject'] = 'E-card titel';
+$lang['piwecard_admin_configuration'] = 'Configuratie';
 $lang['piwecard_admin_management'] = 'Beheer';
-$lang['piwecard_permissions_user_cat'] = 'Versturen van \'n e-card is toegestaan als de categorie of een van de bovenliggende albums vernoemd is naar de gebruiker of als de gebruiker de maker is van de foto';
+$lang['piwecard_permissions_user_cat'] = 'Versturen van \'n e-card is toegestaan als de categorie of één van de bovenliggende albums vernoemd is naar de gebruiker of als de gebruiker de maker is van de foto';
 $lang['piwecard_permissions_all_cats'] = 'Versturen van \'n e-card is toegestaan voor alle categorieën toegankelijk voor de gebruiker';
-$lang['piwecard_permissions_selected_cats'] = 'Versturen van \'n e-card is toegestaan op een selectie van categorieën en als de geselecteerde categorieën toegankelijk zijn voor de gebruiker';
-$lang['piwecard_show_image_infos'] = 'Toon de titel en maker van de foto eronder';
-$lang['piwecard_validity_default'] = 'Standaard geldigheid van de e-card';
+$lang['piwecard_permissions_selected_cats'] = 'Versturen van \'n e-card is toegestaan aan een selectie van categorieën en als de geselecteerde categorieën toegankelijk zijn voor de gebruiker';
+$lang['piwecard_show_image_infos'] = 'Toon de titel en fotograaf onder de foto';
+$lang['piwecard_validity_default'] = 'Standaard-geldigheid van de e-card';
 $lang['piwecard_validity'] = 'Geldigheidsdatum';
 $lang['piwecard_permissions_groups_users'] = 'Rechten afhankelijk van de groep of gebruiker';
 $lang['piwecard_non_selected_cats'] = 'Niet geselecteerde categorieën';
 $lang['piwecard_permissions_cat'] = 'Rechten afhankelijk van de categorie';
-$lang['piwecard_website_url'] = 'URL van de gallerij';
+$lang['piwecard_website_url'] = 'URL van de galerie';
 $lang['piwecard_nb_max_recipients'] = 'Maximum aantal ontvangers per e-card';
 $lang['piwecard_image_border_width'] = 'Breedte:';
@@ -106,11 +106,15 @@
 $lang['piwecard_image_border_dotted'] = 'Puntjes';
 $lang['piwecard_image_border_dashed'] = 'Streepjes';
-$lang['piwecard_errors'] = 'Zie de details van de fout hieronder';
+$lang['piwecard_errors'] = 'Zie hieronder de details van de fout ';
 $lang['piwecard_error_validity_list'] = 'De lijst mag niet leeg zijn en voor de punten moeten cijfers ingevuld worden.';
 $lang['piwecard_default_email_message_html'] = '<p>Hallo %recipientname%!</p>
-<p><b>%yourname%</b> heeft je een e-card vanuit de website <a href="%websiteurl%">%website%</a>:</p>
+<p><b>%yourname%</b> heeft je een e-card gestuurd vanaf de website <a href="%websiteurl%">%website%</a>:</p>
 <p><b>%ecardtitle%</b></p>
 <p><a href="%ecardurl%"><img class="theImage" src="%pictureurl%" /></a><p>
-<p>%pictureinfos%</p><br />
+<p>%fotoinfo\'s%</p><br />
+<p>%ecardbericht%</p>
+<p>Je kunt de e-card <a href="%ecardurl%">ook bekijken op het volgende adres</a>.</p>
+<p>Tot ziens bij <a href="%websiteurl%">%website%</a>!</p>
+<p>De webmaster</p>';
 <p>%ecardmessage%</p>
 <p>Je kunt de e-card <a href="%ecardurl%">ook bekijken op het volgende adres </a>.</p>
@@ -119,11 +123,10 @@
 $lang['piwecard_authorized_groups_users_denied'] = '%u gebruikers worden automatisch geweigerd omdat ze tot een geweigerde groep behoren.';
 $lang['piwecard_nb_sender_recipient_total'] = '%d unieke afzenders en %d unieke ontvangers';
-$lang['piwicard_email_reset'] = 'Herstel * velden met de standaard in je taal';
-$lang['piwecard_validity_list'] = 'Overzicht van geldigheidsperiodes in dagen (0 voor onbeperkt)';
-$lang['piwecard_user_cats_case_sensitive'] = 'Hoofdlettergevoelig (de categorie of een van de albums is vernoemd naar de gebruiker)';
-$lang['piwecard_sender_email_change'] = 'Laat de afzender zijn/haar e-mail adres wijzigen (niet voor gasten tenzij het standaard e-mail adres ingevuld is)';
+$lang['piwicard_email_reset'] = 'Herstel * velden met de standaard in jouw taal';
+$lang['piwecard_validity_list'] = 'Overzicht van geldigheidsduur in dagen (0 voor onbeperkt)';
+$lang['piwecard_user_cats_case_sensitive'] = 'Hoofdlettergevoelig (de categorie of éénn van de albums is vernoemd naar de gebruiker)';
+$lang['piwecard_sender_email_change'] = 'Laat de afzender zijn/haar e-mail adres wijzigen (niet voor gasten; tenzij het standaard e-mail adres ingevuld is)';
 $lang['piwecard_selected_cats'] = 'Geselecteerde categorieën';
 $lang['piwecard_preview'] = 'Voorbeeld';
 $lang['piwecard_permissions_granted_groups_users'] = 'Geef rechten aan geslecteerde groepen en gebruikers';
-$lang['piwecard_permissions_denied_groups_users'] = 'Weiger geslecteerde groep en gebruikers';
-?>
+$lang['piwecard_permissions_denied_groups_users'] = 'Weiger geselecteerde groep en gebruikers';