Index: extensions/MyPiwiShop/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/MyPiwiShop/language/nl_NL/plugin.lang.php	(revision 31402)
+++ extensions/MyPiwiShop/language/nl_NL/plugin.lang.php	(revision 31657)
@@ -22,24 +22,24 @@
 // +-----------------------------------------------------------------------+
 $lang['Edit'] = 'Wijzigen';
-$lang['Note administrator'] = 'Note beheerder';
-$lang['Shipping cost'] = 'Verzendings kosten';
-$lang['shipping fees'] = 'verzendings vergoeding';
-$lang['Option value'] = 'Waarde optie';
+$lang['Note administrator'] = 'Opmerking beheerder';
+$lang['Shipping cost'] = 'Verzendingskosten';
+$lang['shipping fees'] = 'verzendkosten';
+$lang['Option value'] = 'Optie waarde';
 $lang['Required'] = 'Verpicht';
-$lang['Select at least one product'] = 'Selecteerd minimaal één product';
+$lang['Select at least one product'] = 'Selecteert minimaal één product';
 $lang['Shop'] = 'Winkel';
 $lang['Type'] = 'Type';
 $lang['Type of option'] = 'Type optie ';
-$lang['Validate the change'] = 'Valideer de wijziging';
+$lang['Validate the change'] = 'Keur de wijziging goed';
 $lang['View cart'] = 'Bekijk winkelwagen';
 $lang['What is MyPiwiShop?'] = 'Wat is MyPiwiShop?';
-$lang['Your Paypal id'] = 'Uw Paypal ID of e-mail adres van Uw Paypal rekening ';
+$lang['Your Paypal id'] = 'Je Paypal ID of e-mailadres van je Paypal-rekening ';
 $lang['add value'] = 'voeg waarde toe';
 $lang['The field is required'] = 'Het veld is verplicht';
-$lang['The order is changed'] = 'The bestelling is gewijzigd';
-$lang['Value'] = 'Waards';
+$lang['The order is changed'] = 'De bestelling is gewijzigd';
+$lang['Value'] = 'Waarde';
 $lang['a option'] = 'een optie';
 $lang['a product'] = 'een product';
-$lang['duplicate'] = 'dupliceren';
+$lang['duplicate'] = 'kopieëren';
 $lang['option registered'] = 'optie geregistreerd';
 $lang['the option'] = 'de optie';
@@ -63,23 +63,23 @@
 $lang['Configuration'] = 'Configuratie';
 $lang['Currency'] = 'Valuta';
-$lang['Duplicate '] = 'Dupliceer';
+$lang['Duplicate '] = 'Kopieer';
 $lang['Fields marked with * must be completed'] = 'Velden gemarkeerd met * zijn verplicht';
 $lang['No product selected'] = 'Geen producten geselecteerd';
-$lang['Change the display order of options in the form'] = 'Wijzig de weergave volgorde van de opties in het formulier';
+$lang['Change the display order of options in the form'] = 'Wijzig de weergave-volgorde van de opties in het formulier';
 $lang['see related products for this picture'] = 'zie gerelateerde producten voor deze foto';
-$lang['products have been removed for these pictures'] = 'producten zijn verwijderd voor deze foto\'s';
+$lang['products have been removed for these pictures'] = 'producten voor deze foto\'s zijn verwijderd';
 $lang['drag / drop to change the order'] = 'slepen / loslaten om de volgorde te veranderen';
 $lang['products have been added to these images'] = 'producten zijn toegevoegd aan deze foto\'s';
 $lang['Showing _START_ to _END_ of _TOTAL_ records'] = 'Toont_START_tot_EiND_van_TOTAAL_records';
 $lang['Showing 0 to 0 of 0 records'] = 'Toont 0 tot 0 van 0 records';
-$lang['Products have been removed for these pictures'] = 'Producten zijn verwijderd voor deze foto\'s';
+$lang['Products have been removed for these pictures'] = 'Producten voor deze foto\'s zijn verwijderd ';
 $lang['Products have been added to these images'] = 'Producten zijn toegevoegd aan deze foto\'s';
 $lang['Presentation text for several products'] = 'Presentatietekst voor meerdere producten';
 $lang['Presentation text for a single product'] = 'Presentatietekst voor een enkel product';
 $lang['No matching option found'] = 'Geen overeenkomende optie gevonden';
-$lang['Edit '] = 'Bewerk';
+$lang['Edit '] = 'Wijzigen';
 $lang['Display _MENU_ records per page'] = 'Weergave _MENU_ records per pagina';
 $lang['Delete the selected products for these images'] = 'Verwijder de geselecteerde producten voor deze foto';
-$lang['Change the display order of products in the form'] = 'Wijzig de weergave volgorde van de producten in het formulier';
+$lang['Change the display order of products in the form'] = 'Wijzig de weergave-volgorde van de producten in het formulier';
 $lang['Add the selected products for these images'] = 'Voeg de geselecteerde producten voor deze foto\'s toe';
 $lang['(filtered from _MAX_ total records)'] = '(gefilterd uit _MAX_ totaal records)';