Index: /extensions/music_player/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/music_player/language/nl_NL/plugin.lang.php	(revision 31657)
+++ /extensions/music_player/language/nl_NL/plugin.lang.php	(revision 31658)
@@ -26,14 +26,14 @@
 $lang['mp_admin_nm_pl'] = 'Naam van de afspeellijst';
 $lang['mp_admin_pl'] = 'Beheer muziek';
-$lang['mp_admin_tt_synchro'] = 'Synchroniseer met /music folder';
+$lang['mp_admin_tt_synchro'] = 'Synchroniseer met /music map';
 $lang['mp_cache'] = 'Verberg afspeellijst';
 $lang['mp_evidence_2'] = 'Onthoud het';
 $lang['mp_evidence_title'] = 'Informatie';
-$lang['mp_evidence_txt'] = 'Deze galerij heeft een muziekspeler. Wil je deze tonen?';
-$lang['mp_admin_leg2'] = 'Otie van de plugin';
-$lang['mp_admin_leg'] = 'Afspeellijst beheer';
+$lang['mp_evidence_txt'] = 'Deze galerie heeft een muziekspeler. Wil je deze tonen?';
+$lang['mp_admin_leg2'] = 'Optie van de plugin';
+$lang['mp_admin_leg'] = 'Beheer afspeellijst ';
 $lang['mp_admin_3_opt9b'] = 'Niet veranderen';
-$lang['mp_admin_folder'] = 'Folder';
-$lang['mp_admin_3_opt4'] = 'Lees de muziek willekeurig';
+$lang['mp_admin_folder'] = 'Map';
+$lang['mp_admin_3_opt4'] = 'Speel de muziek willekeurig';
 $lang['mp_admin_3_opt5'] = 'Herhaal afspeellijst aan het einde';
 $lang['mp_admin_2_opt4'] = 'Popup';
@@ -55,17 +55,17 @@
 $lang['mp_admin_2_opt2'] = 'Toon de "Header"';
 $lang['mp_adm_ed_sup_ok'] = 'Weet je het zeker?';
-$lang['mp_adm_edit_1'] = 'Beschrijvings tekst';
+$lang['mp_adm_edit_1'] = 'Beschrijvings-tekst';
 $lang['mp_adm_edit_2'] = 'Afspeellijst';
-$lang['mp_adm_edit_3'] = 'Synchorniseer the afspeellijst';
+$lang['mp_adm_edit_3'] = 'Synchorniseer de afspeellijst';
 $lang['mp_adm_envoi_1'] = 'Omschrijving van';
 $lang['mp_adm_envoi_2'] = 'Bevat';
-$lang['mp_adm_et1_txt'] = 'Je hebt een of meerdere mp3 bestanden toegevoegd of verwijderd? Zo ja, dan moet je ze met de database synchroniseren.';
-$lang['mp_adm_et4_txt'] = 'Maak een afspeellijst .xml';
+$lang['mp_adm_et1_txt'] = 'Heb je één of meerdere mp3 bestanden toegevoegd of verwijderd? Zo ja, dan moet je ze met de database synchroniseren.';
+$lang['mp_adm_et4_txt'] = 'Maak een afspeellijst.xml';
 $lang['mp_adm_etape_1'] = 'Eerste stap (Optioneel)';
 $lang['mp_adm_etape_2'] = 'Tweede stap (Optioneel)';
-$lang['mp_adm_etape_3'] = 'Derde stap!';
-$lang['mp_adm_etape_4'] = 'Vierde stap!';
-$lang['mp_adm_info_img'] = 'Voeg nieuwe afbeelding toe en verwijder de oude.';
-$lang['mp_adm_et2_rg'] = 'Rij toevoegen :';
+$lang['mp_adm_etape_3'] = '3e stap!';
+$lang['mp_adm_etape_4'] = '4e stap!';
+$lang['mp_adm_info_img'] = 'Voeg nieuwe foto toe en verwijder de oude.';
+$lang['mp_adm_et2_rg'] = 'Rij toevoegen:';
 $lang['mp_adm_et4_ok'] = 'Verstuur wijzigingen';
 $lang['mp_admin_3_opt3_2'] = 'breedte van het klikplaatje';
@@ -74,15 +74,15 @@
 $lang['mp_msg_edit2'] = 'Speellijst bijgewerkt';
 $lang['mp_msg_edit3'] = 'rij aangepast!';
-$lang['mp_msg_edit4'] = 'Uit de database verwijderen :';
+$lang['mp_msg_edit4'] = 'Uit de database verwijderen:';
 $lang['mp_msg_edit5'] = 'Verwijderen van:';
-$lang['mp_msg_err_aj1'] = 'Fout : veld URL is leeg';
-$lang['mp_msg_err_aj2'] = 'Fout : veld Tekst is leeg';
+$lang['mp_msg_err_aj1'] = 'Fout: veld URL is leeg';
+$lang['mp_msg_err_aj2'] = 'Fout: veld Tekst is leeg';
 $lang['mp_msg_suppr1'] = 'Map succesvol verwijderd';
-$lang['mp_msg_suppr2'] = 'Fout : map niet verwijderd';
+$lang['mp_msg_suppr2'] = 'Fout: map niet verwijderd';
 $lang['mp_msg_suppr3'] = 'Database succesvol verwijderd';
 $lang['mp_need_help'] = 'Hulp nodig?';
 $lang['mp_ou'] = 'OF';
 $lang['mp_send'] = 'Verzend';
-$lang['mp_text_no_autorisation'] = 'Het is u niet toegestaan om naar muziek te luisteren. Neem contact op met de webmaster om te vernemen waarom, en misschien kan hij toegang regelen ';
+$lang['mp_text_no_autorisation'] = 'Je mag niet naar muziek luisteren. Neem contact op met de webmaster om te vragen waarom. Misschien kan hij toestemming regelen ';
 $lang['mp_uploadimg_ok'] = 'Afbeelding opgeslagen';
 $lang['mp_msg_admin_3_1'] = 'Bestand';
@@ -96,43 +96,44 @@
 $lang['mp_help_q2'] = 'Ik heb mp3\'s toegevoegd maar kan ze niet in de afspeellijst terugvinden!';
 $lang['mp_help_q7'] = 'Ik kan het antwoord hier niet vinden / Ik heb problemen';
-$lang['mp_help_q8'] = 'Nieuw: je kan de toegang tot de muziekspeler beperken';
-$lang['mp_info_min'] = '( voorbeeld afbeelding is optoneel )';
-$lang['mp_msg_admin_6'] = 'plugin configuratie opgeslagen';
-$lang['mp_msg_admin_5'] = 'configuratie van de muziekspeler opgeslagen';
-$lang['mp_msg_admin1'] = 'niets toegevoegd';
-$lang['mp_msg_admin_4'] = 'toevoegen vanaf';
-$lang['mp_montre'] = 'toon afspeellijst';
-$lang['mp_help_div7'] = 'Plugin ondersteuning kan je hier vinden : <a href="http://forum.phpwebgallery.net/viewtopic.php?pid=68781"> http://forum.phpwebgallery.net/viewtopic.php?pid=68781/a> 
+$lang['mp_help_q8'] = 'Nieuw: je kunt de toegang tot de muziekspeler beperken';
+$lang['mp_info_min'] = '( voorbeeld afbeelding is optioneel )';
+$lang['mp_msg_admin_6'] = 'Plugin configuratie opgeslagen';
+$lang['mp_msg_admin_5'] = 'Configuratie van de muziekspeler opgeslagen';
+$lang['mp_msg_admin1'] = 'Niets toegevoegd';
+$lang['mp_msg_admin_4'] = 'Toevoegen vanaf';
+$lang['mp_montre'] = 'Toon afspeellijst';
+$lang['mp_help_div7'] = 'Plugin ondersteuning kun je hier vinden: <a href="http://forum.phpwebgallery.net/viewtopic.php?pid=68781"> http://forum.phpwebgallery.net/viewtopic.php?pid=68781/a> 
 ';
-$lang['mp_admin_3_opt9'] = 'standaard style toegepast';
-$lang['mp_admin_3_opt7'] = 'automatische start van de afspeellijst (zonder zijbalk)';
-$lang['mp_admin_3_opt6'] = 'lees de afspeellijst aan het begin';
-$lang['mp_admin_2_opt3'] = 'toon de "footer", copyright';
-$lang['mp_adm_suppr_3'] = 'verwijder de afspeellijst uit de database, EN de folder (bestanden worden gewist)';
-$lang['mp_adm_suppr_2'] = 'verwijder de afspeellijst uit de database (bij de volgende synchronisatie wordt deze opnieuw aangemaakt)';
-$lang['mp_adm_et2_rg2'] = '(wanneer leeg, einde van de afspeellijst)';
-$lang['mp_adm_ed_sup_info'] = 'Indien het een bestand in de \'/music\'-directorie betreft, wordt het bestand verwijderd : in andere gevallen worden alleen de database-gegevens verwijderd. ';
-$lang['mp_admin_2_opt1'] = 'Toon plugin als blok in het menu';
-$lang['mp_help_q1'] = 'Waar moet de MP3 opgeslagen worden';
-$lang['mp_help_div8'] = 'Nieuw: je kan de toegang tot de speler beperken door de groep \'music_group\' toe te voegen, alleen leden van deze groep kunnen de speler gebruiken. Als deze groep niet aanwezig is, kan iedereen de MP3 speler gebruiken.';
-$lang['mp_help_q5'] = 'Hoe kan ik een remote mp3 in een andere directory toevoegen?';
-$lang['mp_help_div4'] = 'Deze plug-in staat je toe om een aantal speellijsten aan te maken en te beheren, je muziekspeler te personaliseren en zijn pop-up.<br />
+$lang['mp_admin_3_opt9'] = 'Standaard stijl toegepast';
+$lang['mp_admin_3_opt7'] = 'Automatische start van de afspeellijst (zonder zijbalk)';
+$lang['mp_admin_3_opt6'] = 'Lees de afspeellijst bij het begin';
+$lang['mp_admin_2_opt3'] = 'Toon de "footer", copyright';
+$lang['mp_adm_suppr_3'] = 'Verwijder de afspeellijst uit de database, EN de map (mp3,xml estanden worden gewist)';
+$lang['mp_adm_suppr_2'] = 'Verwijder de afspeellijst uit de database (bij de volgende synchronisatie wordt deze opnieuw aangemaakt)';
+$lang['mp_adm_et2_rg2'] = '(als leeg, einde van de afspeellijst)';
+$lang['mp_adm_ed_sup_info'] = 'Als het een bestand in de \'/music\'-map betreft, wordt het bestand verwijderd: in andere gevallen worden alleen de database-gegevens verwijderd. ';
+$lang['mp_admin_2_opt1'] = 'Toon plugin als blok in de menubalk';
+$lang['mp_help_q1'] = 'Waar moet de MP3 opgeslagen worden?';
+$lang['mp_help_div8'] = 'Nieuw: je kunt de toegang tot de speler beperken door de groep \'music_group\' toe te voegen. Alleen leden van deze groep kunnen de speler gebruiken. Als deze groep niet aanwezig is, kan iedereen de MP3 speler gebruiken.';
+$lang['mp_help_q5'] = 'Hoe kan ik een remote mp3 in een andere map toevoegen?';
+$lang['mp_help_div4'] = 'Deze plug-in staat je toe om een aantal speellijsten aan te maken en te beheren, je muziekspeler en zijn pop-up te personaliseren .<br />
 Om een speellijst aan te maken doe je het volgende: <br />
 - Allereerst heb je een map \'/music/\' nodig in de map van de plug-in. BELANGRIJK !! (Gebruikers met een gratis licentie kunnen deze stap overslaan.) De muziekmap moet alle autorisaties en lees-/schrijfrechten hebben op de server (chmod 777 of rwxrwxrwx) !!<br />
-- Maak daarna een andere map in \'/music/\'aan welke de mp3-bestanden en speellijsten met .xml-extensie zal bevatten. Wees voorzichtig: de mapnaam is belangrijk: DUS GEBRUIK GEEN SPECIALE TEKENS voor de naam van de map.<br />
+- Maak daarna een andere map aan in \'/music/\' die de mp3-bestanden en speellijsten met .xml-extensie bevat. Wees voorzichtig: de mapnaam is belangrijk: DUS GEBRUIK GEEN SPECIALE TEKENS voor de naam van de map.<br />
 - Klik dan op "Synchroniseer met /music": mappen in /music worden weergegeven met gesorteerde mp3-bestanden. Speellijsten met de xml-extensie zijn aangemaakt met dezelfde naam als de mapnaam.<br />
-- Ontvangst van de speellijst: dit wordt gebruikt om een kleine beschrijvende tekst toe te voegen die zal fungeren als link om de speellijst af te spelen in het venster van de speler. Als je dit veld leeg laat dan zal de speellijst niet worden opgenomen in de database.<br />
-- Het verzenden van het formulier en het opslaan in de database: daarna kan je een miniatuurafbeelding toevoegen door deze te uploaden of door een link toe te voegen naar zo\'n afbeelding: je kan het zelfs direct via ftp toevoegen met als naam \'[naam van het bestand].jpg\'.<br /><br />
-Om de speellijst te beheren:<br />
+- Ontvangst van de speellijst: dit wordt gebruikt om een kleine beschrijvende tekst toe te voegen die fungeert als link om de speellijst af te spelen in het venster van de speler. Als je dit veld leeg laat dan wordt de speellijst niet in de database.<br />
+- Het verzenden van het formulier en het opslaan in de database: daarna kun je een miniatuurafbeelding toevoegen door deze te uploaden of door een link toe te voegen naar zo\'n afbeelding: je kunt het zelfs direct via ftp toevoegen met als naam \'[naam van het bestand].jpg\'.<br /><br />
+Speellijst beheren:<br />
 - klik op het tweede icoontje naast de speellijst;<br />
 - en volg dan deze stappen: vergeet de laatste niet!';
-$lang['mp_help_q3'] = 'Waar heeft \'Laat miniatuurweergave in de speellijst zien\' betrekking op?';
-$lang['mp_help_div6'] = 'Ja: Sinds 1.3 is een invoerveld voor podcasts en speellijsten op afstand toegevoegd. Wees voorzichtig: speellijsten moeten worden toegevoegd in Atom-, Xspf- (gebruikt door de plug-in) of RSS-formaat (podcasts bestaan altijd uit RSS).';
-$lang['mp_help_div5'] = 'Ja: Om dit toe te passen klik je op je speellijst en voeg je als tweede stap je bestand toe. Wees voorzichtig: ook al staat de mp3 op dezelfde server als deze plug-in, je moet de gehele URL typen, inclusief http://.';
-$lang['mp_help_div3'] = 'Het gaat over een miniatuurweergave die u kunt invoegen ("Beheer miniatuurweergave"), bij de speellijst.';
-$lang['mp_help_div2'] = 'Je update je speellijst nu niet: dus klik op het tweede icoontje ("Beheer muziek") naast de speellijst en klik dan in de laatste stap op \'Verzend aanpassingen\'.';
+- en volg dan deze stappen: vergeet de laatste niet!';
+$lang['mp_help_q3'] = 'Waar heeft \'Toon miniatuurweergave in de speellijst\' betrekking op?';
+$lang['mp_help_div6'] = 'Ja: Sinds 1.3 is een invoerveld voor podcasts en gereserveerde speellijsten toegevoegd. Wees voorzichtig: speellijsten moeten worden toegevoegd in Atom-, Xspf- (gebruikt door de plug-in) of RSS-formaat (podcasts bestaan altijd uit RSS).';
+$lang['mp_help_div5'] = 'Ja: Om dit toe te passen klik je op je speellijst en voeg je als tweede stap jouw bestand toe. Wees voorzichtig: ook al staat de mp3 op dezelfde server als deze plug-in, je moet de gehele URL typen, inclusief http://.';
+$lang['mp_help_div3'] = 'Het gaat over een miniatuurweergave die je kunt invoegen ("Beheer miniatuurweergave"), bij de speellijst.';
+$lang['mp_help_div2'] = 'Je update jouw speellijst niet: dus klik op het tweede icoontje ("Beheer muziek") naast de speellijst en klik dan in de laatste stap op \'Verzend aanpassingen\'.';
 $lang['mp_help_div1'] = 'De Mp3 moet geplaatst worden in de muziekmap van de plug-in op deze manier: "[PWG folder]/plugins/music_player/music/[new playlist]/". Je moet de speellijsten laten sorteren op artiest (music/moby/go.mp3), of de naam van de artiest direct in de bestandsnaam vermelden (music/electro/moby-go.mp3).';
-$lang['mp_admin_leg1'] = 'Podcast (RSS) of speellijst op afstand';
+$lang['mp_admin_leg1'] = 'Podcast (RSS) of gereserveerde speellijst';
 $lang['mp_admin_3_opt2_2'] = 'Als de optie thumbnail geactiveerd is, dan is de hoogte van de speellijst en 20 pixels van de balk gelijk aan de totale hoogte.';
-$lang['mp_admin_3_opt3_3'] = 'Als de optie thumbnail geactiveerd is en de breedte van deze kleiner is dan de totale breedte, dan zal de thumbnail zichzelf links uitlijnen.';
-$lang['mp_admin_3_opt10'] = 'Activeer het automatische beheer van de stijlen: de stijlen die toegepast zijn op de mediaspeler zullen worden ingesteld als de stijlen van de gebruiker. Als deze optie is uitgeschakeld, of als de stijl of gebruiker niet bestaat voor de mediaspeler, dan wordt het standaard onderwerp toegepast, dat er ook aan vooraf ging.';
+$lang['mp_admin_3_opt3_3'] = 'Als de optie thumbnail geactiveerd is en de breedte van deze kleiner is dan de totale breedte, dan lijnt  de thumbnail zichzelf links uit.';
+$lang['mp_admin_3_opt10'] = 'Activeer het automatische beheer van de stijlen: de stijlen die toegepast zijn op de mediaspeler zullen worden ingesteld als de stijlen van de gebruiker. Als deze optie is uitgeschakeld, of als de stijl of gebruiker niet bestaat voor de mediaspeler, dan wordt het standaard onderwerp toegepast, dat er aan vooraf ging.';