Index: /extensions/LLGBO2/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/nl_NL/plugin.lang.php	(revision 31663)
+++ /extensions/LLGBO2/language/nl_NL/plugin.lang.php	(revision 31664)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['llgbo_admin_plugin_title'] = 'Deze plugin beheerd de afbeeldings pagina vormgeving';
+$lang['llgbo_admin_plugin_title'] = 'Deze plugin beheert de afbeeldings-pagina vormgeving';
 $lang['llgbo_adim_settings_title'] = 'Plugin instellingen';
 $lang['Title'] = 'Looks like GBo';
@@ -32,13 +32,13 @@
 $lang['llgbo_admin_header_title'] = 'Toon/verberg de header van elke pagina';
 $lang['llgbo_dispinshadowbox'] = 'Toon in schaduwbox';
-$lang['llgbo_exifunderbt'] = 'Speciale tooltip voor een EXIF bij muisover';
+$lang['llgbo_exifunderbt'] = 'Speciale tooltip voor een EXIF bij vegen met muis over..';
 $lang['llgbo_frame'] = 'Beheer frame om de afbeelding';
-$lang['llgbo_hdShadowbox'] = 'Compliance HD Schaduwbox en navigatie op afbeelding. <br> HD Schaduwbox moet worden geactiveerd!';
+$lang['llgbo_hdShadowbox'] = 'Afstemming HD Schaduwbox en navigatie op afbeelding. <br> HD Schaduwbox moet worden geactiveerd!';
 $lang['llgbo_header'] = 'Beheer header weergave';
 $lang['llgbo_maintain_header'] = 'Onderhoud header van de volgende pagina\'s';
-$lang['llgbo_tooltip'] = 'Speciale tooltips (foto\'s en miniaturen) bij muisover';
-$lang['llgbo_usemap'] = 'Voeg navigatie balk toe aan afbeelding';
+$lang['llgbo_tooltip'] = 'Speciale tooltips (foto\'s en miniaturen) bij vegen met muis over..';
+$lang['llgbo_usemap'] = 'Voeg navigatie balk toe aan foto';
 $lang['llgo_warning_setting'] = 'om met het Gally thema te gebruiken, moet de plugin cl_confit geïnstalleerd worden';
-$lang['llgbo_header_thePiwiShackControllerPage'] = 'Toon de header op de plugin  PiwiShack Controller pagina';
+$lang['llgbo_header_thePiwiShackControllerPage'] = 'Toon de header op de plugin PiwiShack Controller-pagina';
 $lang['llgbo_M_frame'] = 'Frame beheer';
 $lang['llgbo_M_header'] = 'Header beheer';
@@ -64,40 +64,39 @@
 $lang['llgbo_frame_bdcolor9'] = 'Kleur lijn 10:';
 $lang['llgbo_frame_bdsize'] = 'breedte:';
-$lang['llgbo_frame_sample'] = 'Voorbeeld lijst';
+$lang['llgbo_frame_sample'] = 'Voorbeeldlijst';
 $lang['llgbo_header_about'] = 'Toon header op Over pagina';
 $lang['llgbo_header_additional_page'] = 'Toon header op Extra pagina';
 $lang['llgbo_header_best_rated'] = 'Toon header op Best gewaardeerd pagina';
-$lang['llgbo_header_category_filter_recent'] = 'Toon header op Categorie pagina (gefilterd op recentelijk)';
-$lang['llgbo_header_categories/flat'] = 'Toon header op Categorie pagina (optie plat)';
-$lang['llgbo_header_category_posted_monthly'] = 'Toon header op Categorie pagina optie kalender';
-$lang['llgbo_header_category'] = 'Toon header op Categorie pagina';
-$lang['llgbo_header_comments'] = 'Toon header op Commentaar pagina';
-$lang['llgbo_header_created-monthly-calendar'] = 'Toon header op kalender pagina';
-$lang['llgbo_header_favorites'] = 'Toon header op Mijn Favorieten pagina';
-$lang['llgbo_header_home'] = 'Toon header op Home pagina';
-$lang['llgbo_header_identification'] = 'Toon header op Identificatie pagina';
-$lang['llgbo_header_list'] = 'Toon header op Random foto pagina';
-$lang['llgbo_header_most_visited'] = 'Toon header op Meest bezocht pagina';
-$lang['llgbo_header_notification'] = 'Toon header op Notificatie pagina';
-$lang['llgbo_header_picture'] = 'Toon header op Foto pagina';
-$lang['llgbo_header_recent_cats'] = 'Toon header op Recente categorie pagina';
-$lang['llgbo_header_recent_pics'] = 'Toon header op Recente foto pagina';
-$lang['llgbo_header_register'] = 'Toon header op Registreer pagina';
-$lang['llgbo_header_search'] = 'Toon header op Zoek pagina';
-$lang['llgbo_header_tags'] = 'Toon header op Tags pagina';
+$lang['llgbo_header_category_filter_recent'] = 'Toon header op Categorie-pagina (gefilterd op recentelijk)';
+$lang['llgbo_header_categories/flat'] = 'Toon header op Categorie-pagina (optie plat)';
+$lang['llgbo_header_category_posted_monthly'] = 'Toon header op Categorie-pagina optie kalender';
+$lang['llgbo_header_category'] = 'Toon header op Categorie-pagina';
+$lang['llgbo_header_comments'] = 'Toon header op Commentaar-pagina';
+$lang['llgbo_header_created-monthly-calendar'] = 'Toon header op Kalender-pagina';
+$lang['llgbo_header_favorites'] = 'Toon header op Mijn Favorieten-pagina';
+$lang['llgbo_header_home'] = 'Toon header op Startpagina';
+$lang['llgbo_header_identification'] = 'Toon header op Identificatie-pagina';
+$lang['llgbo_header_list'] = 'Toon header op Random foto-pagina';
+$lang['llgbo_header_most_visited'] = 'Toon header op Meest-bezocht-pagina';
+$lang['llgbo_header_notification'] = 'Toon header op Notificatie-pagina';
+$lang['llgbo_header_picture'] = 'Toon header op Foto-pagina';
+$lang['llgbo_header_recent_cats'] = 'Toon header op Recente categori-pagina';
+$lang['llgbo_header_recent_pics'] = 'Toon header op Recente foto-pagina';
+$lang['llgbo_header_register'] = 'Toon header op Registreer-pagina';
+$lang['llgbo_header_search'] = 'Toon header op Zoek-pagina';
+$lang['llgbo_header_tags'] = 'Toon header op Tags-pagina';
 $lang['llgbo_info'] = '(^_^) Instellingen bijgewerkt';
 $lang['llgbo_samples'] = 'Voorbeelden:';
 $lang['llgbo_frame_titlecolor'] = 'Kleur voor de titel op het frame';
-$lang['llgbo_titleframe'] = 'Toon foto titel op het frame';
-$lang['llgbo_tooltip_bgcolor'] = 'Tooltip achtergrond kleur';
-$lang['llgbo_tooltip_bordercolor'] = 'Tooltip rand kleur';
-$lang['llgbo_tooltip_textcolor'] = 'Tooltip tekst kleur';
-$lang['llgbo_tooltip_titlecolor'] = 'Tooltip titel kleur';
-$lang['llgbo_usemap_thumb'] = 'Toon miniaturen wanneer de navigatie actief is op foto:';
+$lang['llgbo_titleframe'] = 'Toon fototitel op het frame';
+$lang['llgbo_tooltip_bgcolor'] = 'Tooltip achtergrondkleur';
+$lang['llgbo_tooltip_bordercolor'] = 'Tooltip randkleur';
+$lang['llgbo_tooltip_textcolor'] = 'Tooltip tekstkleur';
+$lang['llgbo_tooltip_titlecolor'] = 'Tooltip titelkleur';
+$lang['llgbo_usemap_thumb'] = 'Toon miniaturen wanneer de navigatie op foto actief is:';
 $lang['llgo_frame_setting'] = 'Frame instellingen';
 $lang['llgo_global_setting'] = 'Piwigo foto algemene instellingen';
 $lang['llgo_tooltip_setting'] = 'Tooltip titel';
-$lang['llgo_tooltip_size'] = 'Tooltip rand breedte';
+$lang['llgo_tooltip_size'] = 'Tooltip randbreedte';
 $lang['llgo_tooltip_width'] = 'Tooltip breedte';
 $lang['previewsamples'] = 'Toon het voorbeeld';
-?>