Index: extensions/Ldap_Login/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/Ldap_Login/language/nl_NL/plugin.lang.php	(revision 29874)
+++ extensions/Ldap_Login/language/nl_NL/plugin.lang.php	(revision 31666)
@@ -23,16 +23,16 @@
 $lang['Secure connexion'] = 'Veilige verbinding (ldaps)';
 $lang['Username'] = 'Je LDAP gebruikersnaam';
-$lang['Your password'] = 'Je LDAP paswoord';
-$lang['All LDAP users can use their ldap password everywhere on piwigo if needed.'] = 'Alle LDAP gebruikers kunnen hun LDAP paswoord overal in Piwigo gebruiken indien nodig.';
+$lang['Your password'] = 'Je LDAP wachtwoord';
+$lang['All LDAP users can use their ldap password everywhere on piwigo if needed.'] = 'Alle LDAP gebruikers kunnen, indien nodig, hun LDAP wachtwoord overal in Piwigo gebruiken.';
 $lang['Ldap groups'] = 'LDAP groepen';
 $lang['Ldap port'] = 'LDAP poort';
 $lang['Ldap users'] = 'LDAP gebruikers';
-$lang['Search Ldap groups ?'] = 'LDAP-gebruikers zoeken? Als je je groepen rijkelijk hebt verdeeld over verschillende categorie&euml;n of OU, dan heb je dit nodig. Als je het ontwijkt, dan behoud je een LDAP-aanvraag. Je zou het niet nodig kunnen hebben als je LDAP-indeling simpel is (bijv.: cn=groepsnaam,ou=groepen,dc=voorbeeld,dc=com).';
-$lang['Search Ldap users ?'] = 'LDAP-gebruikers zoeken? Als je je gebruikers rijkelijk hebt verdeeld over verschillende categorie&euml;n of OU, dan heb je dit nodig. Als je het ontwijkt, dan behoud je een LDAP-aanvraag. Je zou het niet nodig kunnen hebben als je LDAP-indeling simpel is (bijv.: uid=gebruiker,ou=mensen,dc=voorbeeld,dc=com).';
+$lang['Search Ldap groups ?'] = 'LDAP-gebruikers zoeken? Als je je groepen rijkelijk hebt verdeeld over verschillende categorieën&euml;n of OU, dan heb je dit nodig. Als je het ontwijkt, dan houd je een LDAP-aanvraag. Je hebt het wellicht niet nodig als je LDAP-indeling simpel is (bijv.: cn=groepsnaam,ou=groepen,dc=voorbeeld,dc=com).';
+$lang['Search Ldap users ?'] = 'LDAP-gebruikers zoeken? Als je je gebruikers rijkelijk hebt verdeeld over verschillende categorieën&euml;n of OU, dan heb je dit nodig. Als je het ontwijkt, dan behoud je een LDAP-aanvraag. Je hebt het wellicht niet nodig als je LDAP-indeling simpel is (bijv.: uid=gebruiker,ou=mensen,dc=voorbeeld,dc=com).';
 $lang['Test Settings'] = 'Testinstellingen';
-$lang['To get them out of these roles, they must be sorted of the ldap group and then role updated in the <a href="admin.php?page=user_list">piwigo admin</a>. If a group is mandatory as described in the <a href="admin.php?page=plugin-Ldap_Login-newusers">new piwigo users tab</a>, then they must also belong to the users group.'] = 'Om ze uit deze rollen te krijgen moeten ze worden gesorteerd in de LDAP-groep en dan bijgewerkt overgaan in de <a href="admin.php?page=user_list">Piwigo-administratie</a>. Als een groep verplicht is, zoals beschreven in de <a href="admin.php?page=plugin-Ldap_Login-newusers">sectie voor nieuwe Piwigo-gebruikers, dan moeten zij ook behoren tot de gebruikersgroep.';
+$lang['To get them out of these roles, they must be sorted of the ldap group and then role updated in the <a href="admin.php?page=user_list">piwigo admin</a>. If a group is mandatory as described in the <a href="admin.php?page=plugin-Ldap_Login-newusers">new piwigo users tab</a>, then they must also belong to the users group.'] = 'Om ze uit deze rollen te krijgen moeten ze worden gesorteerd in de LDAP-groep en dan bijgewerkt overgaan in de <a href="admin.php?page=user_list">Piwigo-beheer</a>. Als een groep verplicht is, zoals beschreven in de <a href="admin.php?page=plugin-Ldap_Login-newusers">sectie voor nieuwe Piwigo-gebruikers, dan moeten zij ook behoren tot de gebruikersgroep.';
 $lang['Users branch'] = 'Categorie waar LDAP-gebruikers moeten worden gevonden (bijv.: ou=users):';
 $lang['Warning: LDAP Extension missing.'] = 'Waarschuwing: LDAP-extensie ontbreekt.';
-$lang['You must save the settings with the Save button just up there before testing here.'] = 'Je moet de instellingen opslaan door de bewaarknop hierboven te gebruiken, voordat je de instellingen kunt testen.';
+$lang['You must save the settings with the Save button just up there before testing here.'] = 'Voordat je de instellingen kunt testen moet je de instellingen opslaan door de bewaarknop hierboven te gebruiken.';
 $lang['Attribute corresponding to the user name'] = 'Attribuut dat overeenkomt met de gebruikersnaam.';
 $lang['Base DN'] = 'Base DN van LDAP-server';
@@ -40,11 +40,11 @@
 $lang['Bind password'] = 'Bekrachtig wachtwoord';
 $lang['Do you allow new piwigo users to be created when users authenticate succesfully on the ldap ?'] = 'Moeten nieuwe Piwigo-gebruikers worden aangemaakt wanneer gebruikers succesvol authentiseren via LDAP?';
-$lang['Do you want admins to be advertised by mail in case of new users creation upon ldap login ?'] = 'Wil je dat administrators op de hoogte worden gesteld via email bij de registratie van nieuwe gebruikers bij LDAP-logins?';
-$lang['Do you want to send mail to the new users, like casual piwigo users receive ?'] = 'Moeten nieuwe gebruikers mail ontvangen welke ook reguliere Piwigo-gebruikers ontvangen?';
+$lang['Do you want admins to be advertised by mail in case of new users creation upon ldap login ?'] = 'Wil je dat beheerders via email op de hoogte worden gesteld bij de registratie van nieuwe gebruikers bij LDAP-logins?';
+$lang['Do you want to send mail to the new users, like casual piwigo users receive ?'] = 'Moeten nieuwe gebruikers mail ontvangen die ook reguliere Piwigo-gebruikers ontvangen?';
 $lang['Groups branch'] = 'Categorie waar LDAP-groepen kunnen worden gevonden (bijv.: ou=groepen):';
-$lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'Localhost en standaard protocolpoorten zullen worden gebruikt in de configuratie wanneer dit veld leeg is.';
-$lang['If empty, standard protocol ports will be used by the software.'] = 'Standaard protocolpoorten zullen worden gebruikt door de software wanneer dit veld leeg is.';
-$lang['If you create a <a href="admin.php?page=group_list">piwigo group</a> with the same name as an ldap one, all members of the ldap group will automatically join the piwigo group at their next authentication. This allows you to create <a href="admin.php?page=help&section=groups">specific right access management</a> (restrict access to a particaular album...).'] = 'Als je een <a href="admin.php?page=group_list">Piwigo-groep</a> aanmaakt met dezelfde naam als een LDAP-groep, dan zullen alle leden van die LDAP-groep automatisch lid worden van de gelijknamige Piwigo-groep bij de volgende authenticatie. Dit staat je toe om <a href="admin.php?page=help&section=groups">specifiek toegangsrechtenbeheer</a> toe te passen (het weigeren van toegang tot een specifiek album...). Om deze gebruikers automatisch lid te laten worden, moet je ze eerst uit de LDAP-groepen halen, zodat de Piwigo-groepen kunnen worden bijgewerkt.';
-$lang['Ldap connection credentials'] = 'LDAP-connectiegegevens';
+$lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'Wanneer dit veld leeg is worden in de configuratie Localhost en standaard protocolpoorten gebruikt.';
+$lang['If empty, standard protocol ports will be used by the software.'] = 'Wanneer dit veld leeg is worden door de software Standaard protocolpoorten gebruikt.';
+$lang['If you create a <a href="admin.php?page=group_list">piwigo group</a> with the same name as an ldap one, all members of the ldap group will automatically join the piwigo group at their next authentication. This allows you to create <a href="admin.php?page=help&section=groups">specific right access management</a> (restrict access to a particaular album...).'] = 'Als je een <a href="admin.php?page=group_list">Piwigo-groep</a> aanmaakt met dezelfde naam als een LDAP-groep, dan zullen , bij de volgende authenticatie, alle leden van die LDAP-groep automatisch lid worden van de gelijknamige Piwigo-groep. Dit stelt je in staat om <a href="admin.php?page=help&section=groups">specifiek toegangsrechtenbeheer</a> toe te passen (het weigeren van toegang tot een specifiek album...). Om deze gebruikers automatisch lid te laten worden, moet je ze eerst uit de LDAP-groepen halen, zodat de Piwigo-groepen kunnen worden bijgewerkt.';
+$lang['Ldap connection credentials'] = 'LDAP-verbindings-gegevens';
 $lang['Ldap server host'] = 'LDAP-serverhost';
 $lang['Ldap server host connection'] = 'LDAP-serververbinding';
@@ -52,5 +52,5 @@
 $lang['Ldap_Login Test'] = 'Ldap_Login test';
 $lang['Ldap_Login configuration'] = 'Ldap_Login configuratie';
-$lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Laat deze velden leeg wanneer LDAP anonieme verbindingen accepteert.';
+$lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Laat deze velden leeg als LDAP anonieme verbindingen accepteert.';
 $lang['New users when ldap auth is successfull'] = 'Nieuwe gebruikers als LDAP-autorisatie succesvol is ';
-$lang['Save'] = 'Opslaan';
+$lang['Save'] = 'Bewaren';