Index: extensions/Password_Policy/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/Password_Policy/language/nl_NL/plugin.lang.php	(revision 31671)
+++ extensions/Password_Policy/language/nl_NL/plugin.lang.php	(revision 31672)
@@ -82,14 +82,9 @@
 $lang['PP_Err_Userlist_Settings'] = 'Deze tab is alleen beschikbaar als Vernieuwing wachtwoord of ontgrendeling accounts is aangezet';
 $lang['PP_Error_Password_Need_Enforcement_%s'] = 'Beveiliging: Een controle systeem berekent een score voor de complexiteit van het gekozen wachtwoord. Het wachtwoord is te eenvoudig (score = %s).
+De minimale wachtwoord score door beheerders geëist is:
 Volg a.u.b. de volgende regels bij het kiezen van een wachtwoord:.<br/>
 - Gebruik letters en cijfers<br/>
 - Gebruik kleine letters en hoofdletters<br/>
-- Maak het langer (gebruik meer tekens)<br/>
-De minimale wachtwoord score door beheerders geëist is:';
-Volg a.u.b. de volgende regels bij het kiezen van een wachtwoord:.<br/>
-- Gebruik letters en cijfers<br/>
-- Gebruik kleine letters en hoofdletters<br/>
-- Maak het langer (gebruik meer tekens)<br/>
-De minimaal vereiste wachtwoord score voor beheerders is:';
+- Maak het langer (gebruik meer tekens)<br/>';
 $lang['PP_passwadmTitle_d'] = 'Een beheerder kan een gebruikersaccount aanmaken met of zonder toepassing van de regel van het berekenen van complexiteit.<br/><br/> 
 Opmerking: Als de gebruiker van het aangemaakte account daarna het wachtwoord wil wijzigen en "het versterken van wachtwoorden voor gebruikers" actief is, wordt het account alsnog onderworpen aan de ingestelde regel.';
@@ -101,11 +96,7 @@
 Een testveld geeft je de mogelijkheid om de complexiteit van een wachtwoord te meten. Hierdoor krijgt je een idee hoe de score zich verhoudt tot de complexiteit. <br/><br/> 
 Opmerking: De score van een wachtwoord wordt berekend op basis van verschillende parameters: lengte, type gebruikte tekens (letters, cijfers, hoofdletters, kleine letters, speciale tekens). Een score lager dan 100 wordt als laag beschouwd. Van 100 tot 500: de complexiteit is gemiddeld. Meer dan 500: de veiligheid is uitstekend.';
-Een testveld geeft u de mogelijkheid om de complexiteit van een wachtwoord te meten. Hierdoor krijgt u een idee hoe de score zich verhoudt tot de complexiteit. <br/><br/> 
-Opmerking: De score van een wachtwoord wordt berekend op basis van verschillende parameters: lengte, type gebruikte tekens (letters, cijfers, hoofdletters, kleine letters, speciale tekens). Een score lager dan 100 wordt als laag beschouwd, van 100 tot 500, de complexiteit is gemiddeld, meer dan 500, de veiligheid is uitstekend.';
 $lang['PP_Pwd_Actions_d'] = 'Ontgrendelen van accounts en verlenging aanvragen van wachtwoorden  worden hier ingesteld.<br/><br/>
 Selecteer gebruikers voordat je actie onderneemt. Checkbox bevestiging is verplicht vóór dat enige actie toegepast wordt.<br/><br/>
 <b style="color: red;"> Belangrijk: </ b> Acties toepassen <u> <b> ALLEEN </ b> op bezoeker-accounts </ u> en niet de beheerders, webmaster, standaard en gast.';
-Selecteer gebruikers voordat u actie onderneemt. Checkbox bevestiging is verplicht alvorens enige actie.<br/><br/>
-<b style="color: red;"> Belangrijk: </ b> Acties toepassen <u> <b> ALLEEN </ b> op bezoeker accounts </ u> en niet de beheerders, webmaster, standaard en gast.';
 $lang['PP_PwdResetTitle_d'] = 'Inschakelen van deze optie voegt een nieuwe functie toe aan het tabblad management, om het wachtwoord voor geselecteerde gebruikers te verlengen. Daarnaast wordt een nieuwe kolom toegevoegd om de status van wachtwoorden voor elk van hen te tonen met de volgende waarden:<br/>
 <br/>
@@ -114,6 +105,4 @@
 - Wachtwoord verlengd: Het wachtwoord is na een verzoek verlengd. <br/>
 - Origineel wachtwoord: Het oorspronkelijke wachtwoord gekozen bij het aanmaken van een account. Is nooit nodig voor een verlenging. br/><br/>
-<b style="color: red;"> Webmaster, generiek en gast-accounts zijn uitgesloten van deze functie.</b><br/><br/>
-Deze gebruikers worden automatisch doorgestuurd naar hun aangepaste pagina bij elk van hun verbindingen, totdat ze hun wachtwoord veranderd hebben. Een expliciete boodschap zal op deze pagina worden getoond.';
-<b style="color: red;"> Webmaster, generiek en gast-accounts zijn uitgesloten van deze functie.</b><br/><br/>
-Deze gebruikers worden automatisch doorgestuurd naar hun aangepaste pagina bij elk van hun connecties, totdat ze hun wachtwoord verandert hebben; een expliciete boodschap zal op deze pagina worden weergegeven.';
+Deze gebruikers worden automatisch doorgestuurd naar hun aangepaste pagina bij elk van hun verbindingen, totdat ze hun wachtwoord veranderd hebben. Een expliciete boodschap zal op deze pagina worden getoond.
+<b style="color: red;"> Webmaster, generiek en gast-accounts zijn uitgesloten van deze functie.</b><br/><br/>';